// Quick Context
// By Todd Long <longfocus@gmail.com>
// http://www.longfocus.com/firefox/quickcontext/

var gPrefsQC = {
  load: function()
  {
    // Load preferences
    this._loadPrefs();
  },
  
  _loadPrefs: function()
  {
    document.getElementById("qc-prefs-radiogroup").selectedIndex = (getBranchQC().getBoolPref("enabled") ? 0 : 1);
  },
  
  _savePrefs: function()
  {
    getBranchQC().setBoolPref("enabled", document.getElementById("qc-prefs-enable").selected);
  },
  
  buttonOK: function()
  {
    // Save preferences
    this._savePrefs();
    
    // Closes the window
    window.close();
  }
}